Bug 1029333 - Errors in cdi-alternative quickstart
Errors in cdi-alternative quickstart
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: CR1
: EAP 6.2.0
Assigned To: sgilda
Jitka Kozana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 02:56 EST by Jitka Kozana
Modified: 2017-10-09 20:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:21:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jitka Kozana 2013-11-12 02:56:56 EST
I have seen two issues when testing cdi-alternative quickstart: unexpected WARN in server log and war archive created, instead of ear.

The following warning is written in the server.log just shortly after an application cdi-alternative is deployed:

08:42:43,180 INFO  [org.jboss.as.server.deployment] (MSC service thread 1-5) JBAS015876: Starting deployment of "jboss-cdi-alternative.war" (runtime-name: "jboss-cdi-alternative.war")
08:42:43,206 WARN  [org.jboss.weld.deployer] (MSC service thread 1-5) JBAS016010: Warning while parsing vfs:/content/jboss-cdi-alternative.war/WEB-INF/beans.xml:18 SchemaLocation: schemaLocation value = 'http://java.sun.com/xml/ns/javaee' must have even number of URI's.

According to the README file, no WARN is expected.

README.md, line 77: 
"4. This will deploy `target/jboss-cdi-alternative.ear` to the running instance of the server."
But jboss-cdi-alternative.war is built and deployed.
Comment 1 sgilda 2013-11-12 06:14:30 EST
A search of that error turned up this page: http://www.coderanch.com/t/127073/XML/Head

It sounds like it may be a problem with the schema definition an the fix may be to change xsi:schemaLocation="http://java.sun.com/xml/ns/javaee" to xsi:noNamespaceSchemaLocation="http://java.sun.com/xml/ns/javaee".

I'll try this out after fixing the more urgent bugs.
Comment 2 sgilda 2013-11-12 09:22:06 EST
Replaced the beans.xml with the namespace.
Modified the README to say it's a war.

Fixed in this commit: https://github.com/jboss-developer/jboss-eap-quickstarts/commit/a1655bf7674080bced13c9b5b63303c6e17a889d
Comment 3 Jitka Kozana 2013-11-15 04:40:13 EST
Verified using 6.2.0.CR1.

Note You need to log in before you can comment on or make changes to this bug.